<?php declare(strict_types=1);

namespace App\Entity;

/**
 *
 */
class Apikey
{
	private int $id;
	private string $name;
	private string $apiTokenPrefix;
	private string $apiToken;
	
	public function __construct(string $name, string $apiTokenPrefix, string $apiToken, int $id = 0)
	{
		$this->id = $id;
		$this->name = $name;
		$this->apiTokenPrefix = $apiTokenPrefix;
		$this->apiToken = $apiToken;
	}
	
	
	/**
	 * @return String
	 */
	public function getApiToken(): string
	{
		return $this->apiToken;
	}
	
	/**
	 * @return string
	 */
	public function getApiTokenPrefix(): string
	{
		return $this->apiTokenPrefix;
	}
	
	
	/**
	 * @return int
	 */
	public function getId(): int
	{
		return $this->id;
	}
	
	/**
	 * @param int $id
	 */
	public function setId(int $id): void
	{
		$this->id = $id;
	}
	
	/**
	 * @return String
	 */
	public function getName(): string
	{
		return $this->name;
	}
	
	/**
	 * @param string $apiTokenPrefix
	 */
	public function setApiTokenPrefix(string $apiTokenPrefix): void
	{
		$this->apiTokenPrefix = $apiTokenPrefix;
	}
	
	/**
	 * @param String $apiToken
	 */
	public function setApiToken(string $apiToken): void
	{
		$this->apiToken = $apiToken;
	}
	
	
	/**
	 * @param String $name
	 */
	public function setName(string $name): void
	{
		$this->name = $name;
	}
	
}